Package com.sap.ai.sdk.core.model

# Class BckndArgoCDApplicationStatusSyncResourcesStatusInner

java.lang.Object
com.sap.ai.sdk.core.model.BckndArgoCDApplicationStatusSyncResourcesStatusInner

public class BckndArgoCDApplicationStatusSyncResourcesStatusInner extends Object
BckndArgoCDApplicationStatusSyncResourcesStatusInner

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndArgoCDApplicationStatusSyncResourcesStatusInner()`
  Default constructor for BckndArgoCDApplicationStatusSyncResourcesStatusInner.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndArgoCDApplicationStatusSyncResourcesStatusInner`
  `create()`
  Create a new `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatusSyncResourcesStatusInner`.
  `String`
  `getKind()`
  ArgoCD application object kind
  `String`
  `getMessage()`
  ArgoCD application object message
  `String`
  `getName()`
  ArgoCD application object name
  `String`
  `getStatus()`
  ArgoCD application object sync status
  `int`
  `hashCode()`
  `BckndArgoCDApplicationStatusSyncResourcesStatusInner`
  `kind(String kind)`
  Set the kind of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
  `BckndArgoCDApplicationStatusSyncResourcesStatusInner`
  `message(String message)`
  Set the message of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
  `BckndArgoCDApplicationStatusSyncResourcesStatusInner`
  `name(String name)`
  Set the name of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `void`
  `setKind(String kind)`
  Set the kind of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `void`
  `setMessage(String message)`
  Set the message of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `void`
  `setStatus(String status)`
  Set the status of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
  `BckndArgoCDApplicationStatusSyncResourcesStatusInner`
  `status(String status)`
  Set the status of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndArgoCDApplicationStatusSyncResourcesStatusInner

    protected BckndArgoCDApplicationStatusSyncResourcesStatusInner()
    Default constructor for BckndArgoCDApplicationStatusSyncResourcesStatusInner.

- ## Method Details

  - ### name

    @Nonnull public BckndArgoCDApplicationStatusSyncResourcesStatusInner name(@Nullable String name)
    Set the name of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
    Parameters:
      `name` - ArgoCD application object name
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` class

  - ### getName

    @Nonnull public String getName()
    ArgoCD application object name
    Returns:
      name The name of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
    Parameters:
      `name` - ArgoCD application object name

  - ### kind

    @Nonnull public BckndArgoCDApplicationStatusSyncResourcesStatusInner kind(@Nullable String kind)
    Set the kind of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
    Parameters:
      `kind` - ArgoCD application object kind
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` class

  - ### getKind

    @Nonnull public String getKind()
    ArgoCD application object kind
    Returns:
      kind The kind of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.

  - ### setKind

    public void setKind(@Nullable String kind)
    Set the kind of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
    Parameters:
      `kind` - ArgoCD application object kind

  - ### status

    @Nonnull public BckndArgoCDApplicationStatusSyncResourcesStatusInner status(@Nullable String status)
    Set the status of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
    Parameters:
      `status` - ArgoCD application object sync status
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` class

  - ### getStatus

    @Nonnull public String getStatus()
    ArgoCD application object sync status
    Returns:
      status The status of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.

  - ### setStatus

    public void setStatus(@Nullable String status)
    Set the status of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
    Parameters:
      `status` - ArgoCD application object sync status

  - ### message

    @Nonnull public BckndArgoCDApplicationStatusSyncResourcesStatusInner message(@Nullable String message)
    Set the message of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance and return the same instance.
    Parameters:
      `message` - ArgoCD application object message
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` class

  - ### getMessage

    @Nonnull public String getMessage()
    ArgoCD application object message
    Returns:
      message The message of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.

  - ### setMessage

    public void setMessage(@Nullable String message)
    Set the message of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
    Parameters:
      `message` - ArgoCD application object message

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatusSyncResourcesStatusInner`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndArgoCDApplicationStatusSyncResourcesStatusInner create()
    Create a new `BckndArgoCDApplicationStatusSyncResourcesStatusInner` instance. No arguments are required.